# MP4 to WAV

Convert MP4 video to WAV audio.

<p><a href="/video/mp4/mp4-to-wav" style="color:rgb(230,0,6);font-weight:600;font-size:0.875rem;text-decoration:none">Try MP4 to WAV in the browser &rarr;</a></p>

Convert.FAST uses this same API — what you see in the browser is what you get in code.

## Quick reference

| | |
|---|---|
| **Job type** | `video.mp4-to-wav` |
| **targetFormat** | `wav` |
| **Category** | video |
| **Input formats** | `.mp4`, `.m4v` |
| **Output extension** | `.wav` |
| **Costing** | 1 credit per 5 minutes |
| **Max file size** | 2 GB |
| **Max duration** | 3000 min |

## Example

<!-- code-tabs:start default=curl -->
### cURL
```bash
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@video.mp4" \
  -F "targetFormat=wav" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}

# 2) Poll until terminal status
while true; do
  RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
    -H "X-Fast-Api-Key: $API_KEY")
  STATUS=$(echo "$RESPONSE" | jq -r '.status')
  [ "${STATUS}" = "Succeeded" ] && break
  [ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
  sleep 1
done

# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -o "video.wav"
# → Binary file (audio/wav, 6.0 MB)
```
<!-- code-tabs:end -->

## Options

This converter does not support additional options.

## Cost estimate

<!-- code-tabs:start default=curl -->
### cURL
```bash
curl -sS "https://api.tools.fast/convert/estimate/mp4/wav?durationMinutes=10"
```
<!-- code-tabs:end -->

## Related

- [MP4 to MP3](mp4-to-mp3.md)
